ISOTrailers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.signers

## Class ISOTrailers

- java.lang.Object
- - org.bouncycastle.crypto.signers.ISOTrailers

-     public class ISOTrailers
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TRAILER_IMPLICIT`
    `static int` | `TRAILER_RIPEMD128`
    `static int` | `TRAILER_RIPEMD160`
    `static int` | `TRAILER_SHA1`
    `static int` | `TRAILER_SHA224`
    `static int` | `TRAILER_SHA256`
    `static int` | `TRAILER_SHA384`
    `static int` | `TRAILER_SHA512`
    `static int` | `TRAILER_SHA512_224`
    `static int` | `TRAILER_SHA512_256`
    `static int` | `TRAILER_WHIRLPOOL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISOTrailers()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Integer` | `getTrailer(Digest digest)`
    `static boolean` | `noTrailerAvailable(Digest digest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRAILER_IMPLICIT

          public static final int TRAILER_IMPLICIT

      See Also:
        Constant Field Values

    - #### TRAILER_RIPEMD160

          public static final int TRAILER_RIPEMD160

      See Also:
        Constant Field Values

    - #### TRAILER_RIPEMD128

          public static final int TRAILER_RIPEMD128

      See Also:
        Constant Field Values

    - #### TRAILER_SHA1

          public static final int TRAILER_SHA1

      See Also:
        Constant Field Values

    - #### TRAILER_SHA256

          public static final int TRAILER_SHA256

      See Also:
        Constant Field Values

    - #### TRAILER_SHA512

          public static final int TRAILER_SHA512

      See Also:
        Constant Field Values

    - #### TRAILER_SHA384

          public static final int TRAILER_SHA384

      See Also:
        Constant Field Values

    - #### TRAILER_WHIRLPOOL

          public static final int TRAILER_WHIRLPOOL

      See Also:
        Constant Field Values

    - #### TRAILER_SHA224

          public static final int TRAILER_SHA224

      See Also:
        Constant Field Values

    - #### TRAILER_SHA512_224

          public static final int TRAILER_SHA512_224

      See Also:
        Constant Field Values

    - #### TRAILER_SHA512_256

          public static final int TRAILER_SHA512_256

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ISOTrailers

          public ISOTrailers()

  - ### Method Detail

    - #### getTrailer

          public static java.lang.Integer getTrailer(Digest digest)

    - #### noTrailerAvailable

          public static boolean noTrailerAvailable(Digest digest)